GET api/sticker/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "b3d86bb0-ad7a-46a1-9756-0cb263ce96ec",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "9e5e57ee-2aa6-4f77-8438-9535b33936f1",
"contractItem_ID": "1e242e5d-8262-4a9b-80fa-f0c34d6ddbdd",
"departement_ID": "78d1adab-3dd4-4574-b53e-7c85a6e12c7f",
"departmentItem_ID": "9816d4ce-4fce-41ab-b24e-24acb25fe705",
"iD": "987c1b6b-43ee-4da6-ace4-34b6de21644b",
"site_ID": "69248c58-cd0b-4017-ae87-ad46e112427c",
"siteCustomer_ID": "e36808b3-055d-4125-b672-de4e50b69fbd",
"sticker_ID": "7e29d9fc-c4a4-4311-a3e4-2b02ff5bc9b8",
"garment_ID": "e07d40cd-e45c-4521-8b54-fb44cf6e75b4"
},
{
"active": true,
"contract_ID": "9e5e57ee-2aa6-4f77-8438-9535b33936f1",
"contractItem_ID": "1e242e5d-8262-4a9b-80fa-f0c34d6ddbdd",
"departement_ID": "78d1adab-3dd4-4574-b53e-7c85a6e12c7f",
"departmentItem_ID": "9816d4ce-4fce-41ab-b24e-24acb25fe705",
"iD": "987c1b6b-43ee-4da6-ace4-34b6de21644b",
"site_ID": "69248c58-cd0b-4017-ae87-ad46e112427c",
"siteCustomer_ID": "e36808b3-055d-4125-b672-de4e50b69fbd",
"sticker_ID": "7e29d9fc-c4a4-4311-a3e4-2b02ff5bc9b8",
"garment_ID": "e07d40cd-e45c-4521-8b54-fb44cf6e75b4"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "09f4681d-f772-4ae8-8e6f-2ebf4e2b388d",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "3363a30a-e8b3-4025-9d3a-b7486d42566b",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "3daf3294-7223-4a4a-91cd-ccf1f57be690",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "7cd7f5ab-ea5e-408d-b661-e8ca958d0f44",
"stickerField_ID": "408975d3-fce9-4446-ba19-a55aef72a91b",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "09f4681d-f772-4ae8-8e6f-2ebf4e2b388d",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "3363a30a-e8b3-4025-9d3a-b7486d42566b",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "3daf3294-7223-4a4a-91cd-ccf1f57be690",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "7cd7f5ab-ea5e-408d-b661-e8ca958d0f44",
"stickerField_ID": "408975d3-fce9-4446-ba19-a55aef72a91b",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "ce84aea9-9ea8-493d-9c30-3f9ddbf2f9a4",
"stickerType_ID": "f1f3af8c-1748-4e2b-b611-eace191dd2aa",
"stickerRelation_IDs": [
"db7c9313-3ac9-4539-9124-e36b9ee98583",
"6d39da86-78c5-48b6-bd97-80af64d3d637"
],
"site_ID": "70f1a7a2-4893-4fe6-85df-eb2b3746fd6d"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.